Ubuntu

etoys does not launch

Reported by Munchkinguy on 2008-11-23
60
This bug affects 11 people
Affects Status Importance Assigned to Milestone
etoys (Ubuntu)
High
Luke Faraone
Intrepid
High
Unassigned
Jaunty
High
Unassigned
Karmic
High
Unassigned

Bug Description

Binary package hint: etoys

** SRU **

In the development release of Ubuntu, this has been fixed by upgrading to a later version of squeak-vm with SHM support. As is, etoys cannot be started via the "etoys" command or from the menu; the user must edit /usr/games/etoys manually.

** TEST CASE **
$ etoys

{the application should not start and a usage message is displayed}
{proper behavior: etoys main window is displayed}
** END TEST CASE **

This has little regression potential since etoys does not work as is, no other applications rdepend on it, and this is a isolated change to a single script.

Bzr branch attached.

** END SRU **

After attempting to run a fresh installation of Etoys from the Ubuntu repository, it fails to launch. The message "unknown option: -xshm" is left in the terminal.

ProblemType: Bug
Architecture: i386
DistroRelease: Debian testing/unstable
NonfreeKernelModules: wl fglrx
Package: etoys 3.0.1916+svn132-2
PackageArchitecture: all
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: etoys
Uname: Linux 2.6.27-7-generic i686
UnreportableReason: This is not a genuine Debian package

Munchkinguy (10068660) wrote :
Michael Hall (mhall119) wrote :

Is anybody working on this?

Riccardo Murri (rmurri) wrote :

This command fixed it for me (Ubuntu 8.10, etoys 3.0.1916+svn132-2)::

  sed -i -e "s/-xshm//" /usr/games/etoys

The bug should probably belong into the "squeakvm" package: it's squeakvm complaining about the "-xshm" option, although the usage text says it's supported. (And indeed it works in the Debian version.)

Joost68 (joost68) wrote :

The command Riccardo Murri gave fixed the problem for me also. (Ubuntu 8.10, etoys 3.0.1916+svn132-2)
Thanks!

Michael Haupt (mhaupt) wrote :

The sed script hint is just a workaround, the actual problem seems to be that the Squeak VM this package depends on is compiled without support for the X shared memory extension. I just filed a bug about this: https://bugs.launchpad.net/ubuntu/+source/squeak-vm/+bug/329038

Changed in etoys (Ubuntu):
status: New → Confirmed

Guess a simple patch and repack fix it. Assigning to motu.

Changed in etoys (Ubuntu):
assignee: nobody → MOTU (motu)
RJBradlow (rjbradlow) wrote :

This command fixed it for me too.
Ubuntu 9.10 / AMD64 ... etoys 3.0.1916+svn132-2

  sed -i -e "s/-xshm//" /usr/games/etoys

RJBradlow (rjbradlow) wrote :

P.S.
Those of you reading this page looking for a quick fix and who are inexperienced with the command line;
in Ubuntu / Gnome... 'Terminal' is found in 'Applications' > 'Accessories'
you must precede the command with 'sudo' as follows:

  sudo sed -i -e "s/-xshm//" /usr/games/etoys

Then type your password to complete the process.

You will not see anything happen after pressing the return/enter key and you will be returned to your command prompt if you typed or copy and pasted the command correctly.
Just close the Terminal window and launch the eToys program: Applications > Education > eToys

enjoy!

ewolff (eberhard-wolff) wrote :

The fix at least makes eToys start but the output in the windows is messed up. I am not sure why this is happening, I am on 9.10.

Luke Faraone (lfaraone) on 2010-04-14
Changed in etoys (Ubuntu):
assignee: MOTU (motu) → nobody
Luke Faraone (lfaraone) on 2010-04-14
Changed in etoys (Ubuntu):
assignee: nobody → Luke Faraone (lfaraone)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package etoys - 3.0.1916+svn132-2ubuntu1

---------------
etoys (3.0.1916+svn132-2ubuntu1) lucid; urgency=low

  * etoys.in: use squeakvm in lib rather than /usr/bin/squeakvm, which no
    longer exists. (LP: #561332, #301190)
 -- Luke Faraone <email address hidden> Wed, 14 Apr 2010 12:21:38 -0400

Changed in etoys (Ubuntu):
status: In Progress → Fix Released
Luke Faraone (lfaraone) on 2010-04-15
description: updated
Changed in etoys (Ubuntu):
importance: Undecided → High
Luke Faraone (lfaraone) on 2010-04-15
Changed in etoys (Ubuntu Karmic):
status: New → Triaged
importance: Undecided → High
Luke Faraone (lfaraone) on 2010-04-16
Changed in etoys (Ubuntu Jaunty):
status: New → Triaged
importance: Undecided → High
Changed in etoys (Ubuntu Intrepid):
status: New → Triaged
importance: Undecided → High
John Dong (jdong) wrote :

ACK from the SRU team for the Intrepid, Jaunty, and Karmic branches linked.

Brandon Holtsclaw (imbrandon) wrote :

Sponsored upload

Changed in etoys (Ubuntu Intrepid):
status: Triaged → Fix Committed
Changed in etoys (Ubuntu Karmic):
status: Triaged → Fix Committed
Changed in etoys (Ubuntu Jaunty):
status: Triaged → Fix Committed
Scott Kitterman (kitterman) wrote :

Rejecting Intrepid upload due to Intrepid EOL.

Changed in etoys (Ubuntu Intrepid):
status: Fix Committed → Won't Fix

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Scott Kitterman (kitterman) wrote :

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Michael Hall (mhall119) wrote :

Tested on Karmic, and it launches fine.

Martin Pitt (pitti) on 2010-04-30
tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package etoys - 3.0.1916+svn132-2ubuntu0.9.10.1

---------------
etoys (3.0.1916+svn132-2ubuntu0.9.10.1) karmic-proposed; urgency=low

  * etoys.in: Remove "-xshm" parameter from call to squeak-vm to work around
    lack of SHM support in squeak-vm. (LP: #301190)
  * Update maintainer field.
 -- Luke Faraone <email address hidden> Thu, 15 Apr 2010 18:09:15 -0400

Changed in etoys (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Keeping verification-needed for jaunty task.

tags: removed: verification-done
Martin Erik Werner (arand) wrote :

Jaunty launches properly and app seems to work fine with proposed update.

Noticed two random crashes, which may be completely unrelated.
My guess is that they are down to general instability.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package etoys - 3.0.1916+svn132-2ubuntu0.9.04.1

---------------
etoys (3.0.1916+svn132-2ubuntu0.9.04.1) jaunty-proposed; urgency=low

  * etoys.in: Remove "-xshm" parameter from call to squeak-vm to work around
    lack of SHM support in squeak-vm. (LP: #301190)
  * Update maintainer field.
 -- Luke Faraone <email address hidden> Thu, 15 Apr 2010 18:09:15 -0400

Changed in etoys (Ubuntu Jaunty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers